<?php
/*
 * Copyright (c) 2008 Jan Dittberner <jan@dittberner.info>
 * Jan Dittberner IT-Consulting & -Solutions
 * Cottbuser Str. 1, D-01129 Dresden
 *
 * Copyright (c) 2008 Jeremias Arnstadt <douth024@googlemail.com>
 *
 * This file is part of the ScrollingJQueryGallery component of the
 * gnuviech-server.de Websitetools
 *
 * ScrollingJQueryGallery is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * ScrollingJQueryGallery is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ScrollingJQueryGallery.  If not, see
 * <http://www.gnu.org/licenses/>.
 *
 * Version: $Id$
 */
// Pfad der Bilder für die jeweilige Kategorie
$allfiles = glob("./bilder/*.jpg");
// Name des Menüpunktes
$menupunkt = "Beispielbilder 1";

// greift auf die Funktionen der ausgelagerten Datei um die Thumbnails
// einzulesen
include ("./funktionen/thumbnail.php");

// bezieht sich auf die Hauptmenükategorie (für Anzeige von aktivem
// Link notwendig)
$kategorie = ($bilder_kat = 1);

// bezieht sich auf die Submenükategorie (für Anzeige von aktivem Link
// notwendig)
$nav_auswahl = ($bilder_kat_sub = 1);

// bezieht sich auf das Auswahlmenü
$aquarelle = ($menu = 14);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN http://www.w3.org/TR/html4/loose.dtd">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Bilderframework</title>
<link rel="stylesheet" type="text/css" href="css/main.css">
<style type="text/css" media="./css/main.css"></style>
<link rel="stylesheet" href="./css/format.css" type="text/css" />
<link rel="stylesheet" href="./css/jquery.lightbox-0.4.css" type="text/css" />
<script src="./scripts/jquery.js" type="text/javascript" ></script>
<script src="./scripts/jquery.lightbox.js" type="text/javascript" ></script>
<script src="./scripts/ourhandlers.js" type="text/javascript" ></script>
<style type="text/css">
 <?php
   printf("#scrollable { width:%dpx; }", $thumbwidthsum);
 ?>
 a {
	font-size: 9px;
}
a:link {
	text-decoration: none;
}
a:visited {
	text-decoration: none;
}
a:hover {
	text-decoration: none;
}
a:active {
	text-decoration: none;
}
</style>
</head>
<body>
<!-- container -->
<div id="container">
  <div id="content">
    <div id="menu"><? include ("menu/menu.php"); ?></div>
      <div id="content_container">
        <div id="slider">
          <div id="arrleft"><img src="css/grafiken/aro-lft.png" alt="nach links" width="10" height="65" /></div>
          <div id="imgscroller"><div id="scrollable"><?php
            // zeigt die eingelesenen Thumnails an
            include("./funktionen/thumbnail_show.php");
          ?></div></div>
          <div id="arrright"><img src="css/grafiken/aro-rt.png" alt="nach rechts" width="10" height="65" /></div>
      </div>
      <div id="sub_menu"><?php
        // bindet das Submenü mit definiertem Links ein.
        include("submenu.php"); 
      ?></div>
    </div>
    <div id="content_sub">
      <div id="content_main">
        <div class="bildposition"><?php
          // bindet die Bilder in den Hauptbereich ein
          include ("./funktionen/show_pictures.php");
        ?></div>
      </div>
      <div id="content_nav">
        <img id="backbtn" src="css/grafiken/back.jpg" alt="back" class="back" width="10" height="10" top="0"><img id="fwdbtn" src="css/grafiken/next.jpg" alt="next" class="next" width="10" height="10" top="0">
      </div>
      <div class="imgdescription" id="imagedescription"><?php
        // liest die Bildbeschreibung für das jeweilige Bild (wenn definiert)
        include ("funktionen/description.php");
      ?></div>
    </div>      
  </div> 
</div>            
<!-- /container -->
</body>
</html>